package com.lanyuanxiaoyao.service.web.entity;

import com.lanyuanxiaoyao.service.configuration.entity.hudi.HPath;
import org.eclipse.collections.api.list.ImmutableList;

/**
 * HPath对象的有children版本
 *
 * @author lanyuanxiaoyao
 * @date 2024-04-26
 */
public class HPathChildrenVO {
    private final ImmutableList<HPathVO> children;

    public HPathChildrenVO(ImmutableList<HPathVO> children) {
        this.children = children;
    }

    public ImmutableList<HPathVO> getChildren() {
        return children;
    }

    @Override
    public String toString() {
        return "AmisCrudChildrenVO{" +
               "children=" + children +
               '}';
    }
}
